class Orszag
{
    public List<string> Orszagnev { get; private set; }
    public List<int> Terulet { get; private set; }
    public List<int> Nepesseg { get; private set; }
    public List<string> Fovaros { get; private set; }
    public List<int> FovarosNepesseg { get; private set; }

    public Orszag(List<string> orszagnev, List<int> terulet, List<int> nepesseg, List<string> fovaros, List<int> fovarosNepesseg)
    {
        Orszagnev = orszagnev;
        Terulet = terulet;
        Nepesseg = nepesseg;
        Fovaros = fovaros;
        FovarosNepesseg = fovarosNepesseg;
    }

    public void Nepsuruseg(string orszagnev)
    {
        int terulet = Terulet[Orszagnev.IndexOf(orszagnev)];
        int nepesseg = Nepesseg[Orszagnev.IndexOf(orszagnev)];
        int nepsuruseg = nepesseg / terulet;
        Console.WriteLine($"{orszagnev} népsűrűsége {nepsuruseg} fő/km^2.");
    }

    public void Kulonbseg()
    {
        int nepessegKina = Nepesseg[Orszagnev.IndexOf("Kína")];
        int nepessegIndia = Nepesseg[Orszagnev.IndexOf("India")];
        Console.WriteLine($"Kínában a lakosság {nepessegKina - nepessegIndia} fővel volt több.");
    }

    public void Legnagyobb3()
    {
        List<int> originalNepesseg = new List<int>(Nepesseg);
        Nepesseg.Sort();
        Nepesseg.Reverse();
        int nepessegSzam = Nepesseg[2];
        Nepesseg = new List<int>(originalNepesseg);
        string orszag = Orszagnev[Nepesseg.IndexOf(nepessegSzam)];
        Console.WriteLine($"A harmadik legnépesebb ország: {orszag}, a lakosság {nepessegSzam}.");
    }

    public void Szazalek30()
    {
        List<string> orszagNevek = new List<string>();
        for (int i = 0; i < Nepesseg.Count; i++)
        {
            double nepesseg = Nepesseg[i];
            double fovarosNepessege = FovarosNepesseg[i] * 1000;
            double eredmeny = (fovarosNepessege / nepesseg * 100);
            if (eredmeny > 30)
            {
                orszagNevek.Add(Orszagnev[i]);
            }
        }

        Console.WriteLine(string.Join(", ", orszagNevek));
    }

    public override string ToString()
    {
        return "";
    }
}
